<% 
' ---------------------------- save current standard design to store -------------------------------------
sub saveDesign()

	dim storeRS, sqlString
	dim designPages
	dim fs, f, textStream, htmlString
	dim currentPath
	dim useSpecialModule
	
	set storeRS = Server.CreateObject("ADODB.Recordset")
	set fs = CreateObject("Scripting.FileSystemObject")

	'--------------------------- test the html from store pages ----------------------
	sqlString = "select designPages from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then
		storeRS.close
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = "The html page cannot be empty ! Click <a href=""designPages.asp"">here</a> for more details."
		response.redirect "error.asp"
	end if
	if isNull(storeRS("designPages")) or instr(storeRS("designPages"), "#CENTER_SECTION#") <= 0 then
		storeRS.close
		set storeRS = nothing
		set storeConn = nothing
		session("errMessage") = "#CENTER_SECTION# keyword is missing from your html page!<br>Click <a href=""designPages.asp"">here</a> for more details."
		response.redirect "error.asp"
	end if
	designPages = storeRS("designPages")
	storeRS.close
	
	useSpecialModule = testSpecialModule(designPages)
	
	'-------------------------- copy page design ----------------------------------------------
	call createStorePage("home", designPages)
	call createStorePage("browseCategories", designPages)
	call createStorePage("browseProducts", designPages)
	call createStorePage("browseProductsDetails", designPages)
	call createStorePage("browseProductsSearch", designPages)
	call createStorePage("search", designPages)
	call createStorePage("error", designPages)
	call createStorePage("viewCart", designPages)
	call createStorePage("customerAccountNew", designPages)
	call createStorePage("login", designPages)
	call createStorePage("logout", designPages)
	call createStorePage("customerAccountEdit", designPages)
	call createStorePage("checkOut", designPages)
	call createStorePage("viewOrders", designPages)
	call createStorePage("checkOutBeforePayment", designPages)
	call createStorePage("checkOutOrder", designPages)
	call createStorePage("viewOrdersDetails", designPages)
	call createStorePage("payPal", designPages)
	
	'-------------------------- copy custom pages ----------------------------------------------
	sqlString = "select pageFileName, pageDesign from storeDesignBasicCustomPage where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	do while not storeRS.eof
		call createCustomPage(storeRS("pageFileName"), storeRS("pageDesign"))
		if not useSpecialModule then
			useSpecialModule = testSpecialModule(storeRS("pageDesign"))
		end if
		storeRS.movenext
	loop
	storeRS.close
	
	'-------------------------- copy all modules --------------------------------------------------
	call createObjects(useSpecialModule)
	call createSmallCart()
	call createSearch()
	call createHello()
	call createDateTime()
	call createLogin()
	call createCategories()
	call createTabShip()

	'-------------------------- copy center sections with all modules available -------------------
	sqlString = "select designHomePage, designCategories, designProducts, designProductsDetails, designSearch, designBestSeller, designSpecial from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	'-------------------------- copy home page -----------------------------
	if isNull(storeRS("designHomePage")) then
		htmlString = ""
	else
		htmlString = storeRS("designHomePage")
	end if
	if htmlString <> "" then
		if instr(htmlString, "#BEST_SELLER#") > 0 then
			dim bestSellerString
			if isNull(storeRS("designBestSeller")) or storeRS("designBestSeller") = "" then
				bestSellerString = returnHTML(pathApp()&"Admin\BlankDesign\browseBestSellers.htm")
			else
				bestSellerString = storeRS("designBestSeller")
			end if
			if bestSellerString <> "" then
				bestSellerString = replace(bestSellerString, "#PRODUCT_NAME#", chr(60)&"% call displayProductName(productID, productName, 0) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_IMAGE#", chr(60)&"% call displayProductImage(productID, imageID, 0) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_DESC#", chr(60)&"% call displayProductDescription(productDescription) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_WEIGHT#", chr(60)&"% call displayProductWeight(productWeight, productMeasure) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_PRICE#", chr(60)&"% call displayProductPrices(productID) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_ATTRIBUTES#", chr(60)&"% call displayProductAtributes(productID, 0, useReload) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_QUANTITY#", chr(60)&"% call displayProductQuantity(productID, quantityProduct) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_ORDER#", chr(60)&"% call displayProductOrder(productID, quantityProduct, useReload, useQuantity) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_STOCK#", chr(60)&"% call displayProductStock(quantityProduct, useQuantity, viewStock) %"&chr(62))
				bestSellerString = replace(bestSellerString, "#PRODUCT_BUY_FREE#", chr(60)&"% call displayProductBuyFree() %"&chr(62))
			end if
			currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\Store\home.asp"
			set f = fs.GetFile(currentPath)
			set textStream = f.OpenAsTextStream(2, 0)
			textStream.write bestSellerString
			textStream.close
			htmlString = replace(htmlString, "#BEST_SELLER#", chr(60) & "!--#include file=""../objects/bestSeller.asp""--" & chr(62))
		end if
	end if
	if htmlString = "" then
		htmlString = "&nbsp;"
	end if
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Body\home.asp"
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close

	'------------------------- copy browseCategories page -----------------------------
	if isNull(storeRS("designCategories")) or storeRS("designCategories") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\browseCategories.htm")
	else
		htmlString = storeRS("designCategories")
	end if
	if htmlString <> "" then
		htmlString = replace(htmlString, "#CATEG_NAME#", chr(60)&"% call displayCategoryName(categoryName) %"&chr(62))
		htmlString = replace(htmlString, "#CATEG_IMAGE#", chr(60)&"% call displayCategoryImage(categoryImageID, subCategories, viewButtons) %"&chr(62))
		htmlString = replace(htmlString, "#CATEG_DESC#", chr(60)&"% call displayCategoryDescription(categoryDescription) %"&chr(62))
		htmlString = replace(htmlString, "#FEATURED_PROD#", chr(60)&"% call displayFeatured(categoryID) %"&chr(62))
	end if
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\Store\browseCategories.asp"
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close

	'------------------------ copy browseProducts page -----------------------------
	if isNull(storeRS("designProducts")) or storeRS("designProducts") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\browseProducts.htm")
	else
		htmlString = storeRS("designProducts")
	end if
	if htmlString <> "" then
		htmlString = replace(htmlString, "#PRODUCT_NAME#", chr(60)&"% call displayProductName(productID, productName, 0) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_IMAGE#", chr(60)&"% call displayProductImage(productID, imageID, 0) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_DESC#", chr(60)&"% call displayProductDescription(productDescription) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_WEIGHT#", chr(60)&"% call displayProductWeight(productWeight, productMeasure) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_PRICE#", chr(60)&"% call displayProductPrices(productID) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ATTRIBUTES#", chr(60)&"% call displayProductAtributes(productID, 0, useReload) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_QUANTITY#", chr(60)&"% call displayProductQuantity(productID, quantityProduct) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ORDER#", chr(60)&"% call displayProductOrder(productID, quantityProduct, useReload, useQuantity) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_STOCK#", chr(60)&"% call displayProductStock(quantityProduct, useQuantity, viewStock) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_BUY_FREE#", chr(60)&"% call displayProductBuyFree() %"&chr(62))
	end if
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\Store\browseProducts.asp"
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close

	'-------------------- copy browseProducts details page -----------------------------
	if isNull(storeRS("designProductsDetails")) or storeRS("designProductsDetails") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\browseProductsDetails.htm")
	else
		htmlString = storeRS("designProductsDetails")
	end if
	if htmlString <> "" then
		htmlString = replace(htmlString, "#PRODUCT_NAME#", chr(60)&"% call displayProductName(productID, productName, 1) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_IMAGE#", chr(60)&"% call displayProductImage(productID, imageID, 1) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_DESC#", chr(60)&"% call displayProductDescription(productDescription) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_WEIGHT#", chr(60)&"% call displayProductWeight(productWeight, productMeasure) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_PRICE#", chr(60)&"% call displayProductPrices(productID) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ATTRIBUTES#", chr(60)&"% call displayProductAtributes(productID, 1, useReload) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_QUANTITY#", chr(60)&"% call displayProductQuantity(productID, quantityProduct) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ORDER#", chr(60)&"% call displayProductOrder(productID, quantityProduct, useReload, useQuantity) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_STOCK#", chr(60)&"% call displayProductStock(quantityProduct, useQuantity, viewStock) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_BUY_FREE#", chr(60)&"% call displayProductBuyFree() %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ACCESSORIES#", chr(60)&"% call displayProductAccesories(productID) %"&chr(62))
	end if
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\Store\browseProductsDetails.asp"
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close

	'---------------------- copy browseProductsSearch page -----------------------------
	if isNull(storeRS("designSearch")) or storeRS("designSearch") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\browseProductsSearch.htm")
	else
		htmlString = storeRS("designSearch")
	end if
	if htmlString <> "" then
		htmlString = replace(htmlString, "#PRODUCT_NAME#", chr(60)&"% call displayProductName(productID, productName, 0) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_IMAGE#", chr(60)&"% call displayProductImage(productID, imageID, 0) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_DESC#", chr(60)&"% call displayProductDescription(productDescription) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_WEIGHT#", chr(60)&"% call displayProductWeight(productWeight, productMeasure) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_PRICE#", chr(60)&"% call displayProductPrices(productID) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ATTRIBUTES#", chr(60)&"% call displayProductAtributes(productID, 0, useReload) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_QUANTITY#", chr(60)&"% call displayProductQuantity(productID, quantityProduct) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ORDER#", chr(60)&"% call displayProductOrder(productID, quantityProduct, useReload, useQuantity) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_STOCK#", chr(60)&"% call displayProductStock(quantityProduct, useQuantity, viewStock) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_BUY_FREE#", chr(60)&"% call displayProductBuyFree() %"&chr(62))
	end if
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\Store\browseProductsSearch.asp"
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close

	'---------------------- copy specialProductDisplay page -----------------------------
	if isNull(storeRS("designSpecial")) or storeRS("designSpecial") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\browseSpecial.htm")
	else
		htmlString = storeRS("designSpecial")
	end if
	if htmlString <> "" then
		htmlString = replace(htmlString, "#PRODUCT_NAME#", chr(60)&"% call displaySpecialName(productID, productName) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_IMAGE#", chr(60)&"% call displaySpecialImage(productID, imageID) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_DESC#", chr(60)&"% call displaySpecialDescription(productDescription) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_WEIGHT#", chr(60)&"% call displaySpecialWeight(productWeight, productMeasure) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_PRICE#", chr(60)&"% call displaySpecialPrices(productID, listAtributes) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ATTRIBUTES#", chr(60)&"% call displaySpecialAtributes(productID, listAtributes) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_QUANTITY#", chr(60)&"% call displaySpecialQuantity(productID, quantityProduct) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_ORDER#", chr(60)&"% call displaySpecialOrder(productID, quantityProduct, useQuantity, listAtributes) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_STOCK#", chr(60)&"% call displaySpecialStock(quantityProduct, useQuantity, viewStock) %"&chr(62))
		htmlString = replace(htmlString, "#PRODUCT_BUY_FREE#", chr(60)&"% call displaySpecialBuyFree(useFree, textFree) %"&chr(62))
	end if
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\Store\browseProductsSpecial.asp"
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close
	storeRS.close
	
	'-------------------- copy fonts, links, dropdowns, textboxes, buttons ----------------------
	dim tFont, tFont2, tSize, tSize2, tColor, tColor2, tID, tID2
	dim lFont, lSize, lColor
	dim dClass, tbClass

	dim bCategory, bProduct, bOrder, bSearch, cLogin, cLogout, bRegister, bYes
	dim bNo, bUpdate, uCart, bContinue, cShopping, cOut, deleteShipping, cOrder, pOrder, dOrder

	sqlString = "select designStyleDropDown, designStyleLink, designStyleText, designStyleTextBox, designStyleTextColor from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designStyleText")) or storeRS("designStyleText") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\styleText.htm")
	else
		htmlString = storeRS("designStyleText")
	end if
	if htmlString <> "" then
		call returnFonts(tFont, tSize, tColor, tID, htmlString)
	end if

	if isNull(storeRS("designStyleTextColor")) or storeRS("designStyleTextColor") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\styleTextColor.htm")
	else
		htmlString = storeRS("designStyleTextColor")
	end if
	if htmlString <> "" then
		call returnFonts(tFont2, tSize2, tColor2, tID2, htmlString)
	end if

	if isNull(storeRS("designStyleLink")) or storeRS("designStyleLink") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\styleLink.htm")
	else
		htmlString = storeRS("designStyleLink")
	end if
	if htmlString <> "" then
		call returnFonts(lFont, lSize, lColor, "", htmlString)
	end if

	if isNull(storeRS("designStyleDropDown")) or storeRS("designStyleDropDown") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\styleDropDown.htm")
	else
		htmlString = storeRS("designStyleDropDown")
	end if
	if htmlString <> "" then
		dClass = returnClass(htmlString)
	end if

	if isNull(storeRS("designStyleTextBox")) or storeRS("designStyleTextBox") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\styleTextBox.htm")
	else
		htmlString = storeRS("designStyleTextBox")
	end if
	if htmlString <> "" then
		tbClass = returnClass(htmlString)
	end if
	storeRS.close

	bCategory = createButton("#CATEGORY#")
	bProduct = createButton("#PRODUCT#")
	bOrder = createButton("#ORDER#")
	bSearch = createButton("#SEARCH#")
	cLogin = createButton("#CLOGIN#")
	cLogout = createButton("#CLOGOUT#")
	bRegister = createButton("#REGISTER#")
	bYes = createButton("#YES#")
	bNo = createButton("#NO#")
	bUpdate = createButton("#UPDATE#")
	uCart = createButton("#UCART#")
	bContinue = createButton("#CONTINUE#")
	cShopping = createButton("#CSHOPPING#")
	cOut = createButton("#COUT#")
	deleteShipping = createButton("#DELETESHIPPING#")
	cOrder = createButton("#CORDER#")
	pOrder = createButton("#PORDER#")
	dOrder = createButton("#DORDER#")

	sqlString = "select storeID from storeDesign where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then
		sqlString = "insert into storeDesign (storeID, textFont, textSize1, textColor, textID, textFont2, textSize2, textColor2, textID2, linkFont, linkSize, linkColor, dropDownClass, textBoxClass, " &_
					"bCategory, bProduct, bOrder, bSearch, cLogin, cLogout, bRegister, bYes, bNo, bUpdate, uCart, bContinue, cShopping, cOut, deleteShipping, cOrder, pOrder, dOrder) values " &_
					"("&storeID&", '"&tFont&"', '"&tSize&"', '"&tColor&"', '"&tID&"', '"&tFont2&"', '"&tSize2&"', '"&tColor2&"', '"&tID2&"', '"&lFont&"', '"&lSize&"', '"&lColor&"', '"&dClass&"', '"&tbClass&"', " &_
					"'"&bCategory&"', '"&bProduct&"', '"&bOrder&"', '"&bSearch&"', '"&cLogin&"', '"&cLogout&"', '"&bRegister&"', '"&bYes&"', '"&bNo&"', '"&bUpdate&"', '"&uCart&"', '"&bContinue&"', '"&cShopping&"', '"&cOut&"', '"&deleteShipping&"', '"&cOrder&"', '"&pOrder&"', '"&dOrder&"')"
	else
		sqlString = "update storeDesign set textFont = '"&tFont&"', textSize1 = '"&tSize&"', textColor = '"&tColor&"', textID = '"&tID&"', " &_
					"textFont2 = '"&tFont2&"', textSize2 = '"&tSize2&"', textColor2 = '"&tColor2&"', textID2 = '"&tID2&"', " &_
					"linkFont = '"&lFont&"', linkSize = '"&lSize&"', linkColor = '"&lColor&"', dropDownClass = '"&dClass&"', textBoxClass = '"&tbClass&"', " &_
					"bCategory = '"&bCategory&"', bProduct = '"&bProduct&"', bOrder = '"&bOrder&"', bSearch = '"&bSearch&"', cLogin = '"&cLogin&"', cLogout = '"&cLogout&"', " &_
					"bRegister = '"&bRegister&"', bYes = '"&bYes&"', bNo = '"&bNo&"', bUpdate = '"&bUpdate&"', uCart = '"&uCart&"', bContinue = '"&bContinue&"', cShopping = '"&cShopping&"', " &_
					"cOut = '"&cOut&"', deleteShipping = '"&deleteShipping&"', cOrder = '"&cOrder&"', pOrder = '"&pOrder&"', dOrder = '"&dOrder&"' " &_
					"where storeID = "&storeID
	end if
	runSQL(sqlString)
	storeRS.close
	
	'--------------------------------------------------------------------------------------
	set f = nothing
	set textStream = nothing
	set fs = nothing
	set storeRS = nothing

end sub

'----------------------------------- called functions from saveSkin -----------------------------------
sub createStorePage(pageName, designPages)
	dim fs, f, textStream, htmlString
	dim currentPath

	htmlString = designPages
	htmlString = replace(htmlString, "#CENTER_SECTION#", chr(60)&"!--#include file=""../Body/"&pageName&".asp""--"&chr(62))
	' ----------------- replace modules keywords -------------------------
	htmlString = replace(htmlString, "#SMALL_CART#", chr(60)&"% call smallCart() %"&chr(62))
	htmlString = replace(htmlString, "#SEARCH#", chr(60)&"% call search() %"&chr(62))
	htmlString = replace(htmlString, "#HELLO_USER#", chr(60)&"% call helloUser() %"&chr(62))
	htmlString = replace(htmlString, "#DATE_TIME#", chr(60)&"% call displayDate() %"&chr(62))
	htmlString = replace(htmlString, "#LOGIN#", chr(60)&"% call displayLogin() %"&chr(62))
	htmlString = replace(htmlString, "#BANNER#", chr(60)&"% call displayBanner() %"&chr(62))
	htmlString = replace(htmlString, "#CATEGORY#", chr(60)&"% call displayCategories() %"&chr(62))
	htmlString = replace(htmlString, "#SPECIAL_RANDOM_PRODUCT#", chr(60)&"% call displayProductSpecialRandom(randomProductsList) %"&chr(62))
	htmlString = replaceSpecialModule(htmlString)

	'------------------	write html into the page -------------------------
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\"
	set fs = CreateObject("Scripting.FileSystemObject")
	set f = fs.GetFile(currentPath & pageName &".asp")
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing

end sub
'--------------------------------------------------------------------------------------
sub createCustomPage(pageName, pageDesign)

	dim currentPath
	dim htmlString
	dim fs, f, textStream
	
	htmlString = pageDesign
	if htmlString <> "" then
		htmlString = replace(htmlString, "#SMALL_CART#", chr(60)&"% call smallCart() %"&chr(62))
		htmlString = replace(htmlString, "#SEARCH#", chr(60)&"% call search() %"&chr(62))
		htmlString = replace(htmlString, "#HELLO_USER#", chr(60)&"% call helloUser() %"&chr(62))
		htmlString = replace(htmlString, "#DATE_TIME#", chr(60)&"% call displayDate() %"&chr(62))
		htmlString = replace(htmlString, "#LOGIN#", chr(60)&"% call displayLogin() %"&chr(62))
		htmlString = replace(htmlString, "#BANNER#", chr(60)&"% call displayBanner() %"&chr(62))
		htmlString = replace(htmlString, "#CATEGORY#", chr(60)&"% call displayCategories() %"&chr(62))
		htmlString = replace(htmlString, "#SPECIAL_RANDOM_PRODUCT#", chr(60)&"% call displayProductSpecialRandom(randomProductsList) %"&chr(62))
		htmlString = replaceSpecialModule(htmlString)
	end if
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Design\"
	set fs = CreateObject("Scripting.FileSystemObject")
	if not fs.fileExists(currentPath) then
		set textStream = fs.CreateTextFile(currentPath&pageName&".asp")
	else
		set f = fs.GetFile(currentPath)
		set textStream = f.OpenAsTextStream(2, 0)
	end if
	textStream.write htmlString
	textStream.close
	
	htmlString = chr(60) & "!--#include file=""sessionManagement.asp""--" & chr(62) & vbcrlf
	htmlString = htmlString & chr(60) & "!--#include file=""objects/objects.asp""--" & chr(62) & vbcrlf
	htmlString = htmlString & chr(60) & "!--#include file=""Design/"&pageName&".asp""--" & chr(62) & vbcrlf & vbcrlf
	htmlString = htmlString & chr(60) & "% set storeConn = nothing %" &chr(62)

	currentPath = pathApp()&"Carts\"&storeVirtualName&"\"
	if not fs.fileExists(currentPath) then
		set textStream = fs.CreateTextFile(currentPath&pageName&".asp")
	else
		set f = fs.GetFile(currentPath)
		set textStream = f.OpenAsTextStream(2, 0)
	end if
	textStream.write htmlString
	textStream.close

	set textStream = nothing
	set f = nothing
	set fs = nothing

end sub
'--------------------------------------------------------------------------------------
function createButton(buttonID)

	dim storeRS, sqlString
	dim htmlString
	dim result, bImage, bClass
	
	result = ""
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designStyleButton from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designStyleButton")) or storeRS("designStyleButton") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\styleButton.htm")
	else
		htmlString = storeRS("designStyleButton")
	end if
	if htmlString <> "" then
		call returnButton(buttonID, "#END#", bImage, bClass, htmlString)
		if bImage <> "" then
			result = bImage
		elseif bClass <> "" then
			result = bClass
		end if
	end if
	createButton = result
	
	storeRS.close
	set storeRS = nothing

end function
'--------------------------------------------------------------------------------------
'----------------------- Create Tab ship module----------------------------------------
sub createTabShip()

	dim htmlString
	dim currentPath, f, fs, textStream

	htmlString = returnTabShip
	if htmlString <> "" then
		set fs = CreateObject("Scripting.FileSystemObject")
		currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\tabShip.asp"
		set f = fs.GetFile(currentPath)
		set textStream = f.OpenAsTextStream(2, 0)
		textStream.write htmlString
		textStream.close
		set textStream = nothing
		set fs = nothing
		set f = nothing
	end if
	
end sub
'----------------------------------- Tab ship functions -------------------------------
function returnTabShip()

	dim htmlString
	htmlString = returnStartTab
	htmlString = htmlString & returnCellTab
	htmlString = htmlString & returnBodyTab
	htmlString = htmlString & returnEndTab
	
	returnTabShip = htmlString

end function
'-------------------------------------------------------------------------
function returnStartTab()

	dim htmlString
	dim storeRS, sqlString
	
	htmlString = chr(60) &"% sub startTab() %" &chr(62) & vbcrlf 
	htmlString = htmlString & returnHTML(pathApp()&"Admin\BlankDesign\tabShipStart.htm") & vbcrlf
	htmlString = htmlString & chr(60) &"% end sub " & vbcrlf & vbcrlf
	returnStartTab = htmlString

end function
'-------------------------------------------------------------------------
function returnBodyTab()

	dim storeRS, sqlString
	dim htmlString

	htmlString = "sub bodyTab() %" &chr(62) & vbcrlf 
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designTabShipBody from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designTabShipBody")) or storeRS("designTabShipBody") = "" then
		htmlString = htmlString & returnHTML(pathApp()&"Admin\BlankDesign\tabShipBody.htm") & vbcrlf
	else
		htmlString = htmlString & storeRS("designTabShipBody") & vbcrlf
	end if
	storeRS.close
	set storeRS = nothing

	htmlString = htmlString & chr(60) &"% end sub " & vbcrlf & vbcrlf
	
	returnBodyTab = htmlString

end function
'-------------------------------------------------------------------------
function returnEndTab()

	dim htmlString
	htmlString = "sub endTab() %" &chr(62) & vbcrlf 
	htmlString = htmlString & returnHTML(pathApp()&"Admin\BlankDesign\tabShipEnd.htm") & vbcrlf
	htmlString = htmlString & chr(60) &"% end sub %" &chr(62) & vbcrlf & vbcrlf
	
	returnEndTab = htmlString

end function
'-------------------------------------------------------------------------
function returnCellTab()

	dim storeRS, sqlString
	dim htmlString, bodyString
	dim spaceWidth, spaceHeight, diffHeight, fundalColor, conturColor, cellColor, cellColorSelected
	dim fontString, linkString, startString, endString

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designTabShipSettings from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designTabShipSettings")) or storeRS("designTabShipSettings") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\tabShipSettings.htm")
	else
		htmlString = storeRS("designTabShipSettings")
	end if
	storeRS.close
	set storeRS = nothing
	
	if htmlString <> "" then
		spaceWidth = returnValue("#SPACE_WIDTH#", htmlString)
		spaceHeight = returnValue("#SPACE_HEIGHT#", htmlString)
		diffHeight = returnValue("#DIFF_HEIGHT#", htmlString)
		fundalColor = returnValue("#FUNDAL_COLOR#", htmlString)
		conturColor = returnValue("#CONTUR_COLOR#", htmlString)
		cellColor = returnValue("#CELL_COLOR#", htmlString)
		cellColorSelected = returnValue("#CELL_COLOR_SELECTED#", htmlString)
	
		startString = instr(htmlString, "#TAB_TEXT#")
		if startString>0 then
			endString = instr(mid(htmlString, startString), "#END#")
			if endString > 0 then
				endString = endString + startString - 1
				'startString = startString + len("#TAB_TEXT#") + 1
				startString = startString + len("#TAB_TEXT#") + 2
				fontString = mid(htmlString, startString, endString - startString - 2)
				fontString = replace(fontString, """", """""")
			end if
		end if
		startString = instr(htmlString, "#TAB_TEXT_SELECTED#")
		if startString>0 then
			endString = instr(mid(htmlString, startString), "#END#")
			if endString > 0 then
				endString = endString + startString - 1
				'startString = startString + len("#TAB_TEXT_SELECTED#") + 1
				startString = startString + len("#TAB_TEXT_SELECTED#") + 2
				if startString < endString then
					linkString = mid(htmlString, startString, endString - startString - 2)
					linkString = replace(linkString, """", """""")
				else
					linkString = ""
				end if
			end if
		end if
	end if
	
	bodyString = returnHTML(pathApp()&"Admin\BlankDesign\tabShipCell.htm")
	bodyString = replace(bodyString, "#FUNDAL_COLOR#", fundalColor)
	bodyString = replace(bodyString, "#CONTUR_COLOR#", conturColor)
	bodyString = replace(bodyString, "#INNER_COLOR#", chr(60)&"%= innerColor %"&chr(62))
	bodyString = replace(bodyString, "#SPACE_WIDTH#", spaceWidth)
	bodyString = replace(bodyString, "#SPACE_HEIGHT#", chr(60)&"%= myHeight %"&chr(62))
	bodyString = replace(bodyString, "#TAB_TEXT#", chr(60)&"%= myTabText %"&chr(62))
	
	htmlString = "sub cellTab(tabText, tabLink, tabSelected)" & vbcrlf 
	htmlString = htmlString & "dim myTabText, innerColor, myHeight" & vbcrlf
	htmlString = htmlString & "if tabSelected then" &vbcrlf
	htmlString = htmlString & "   myTabText = """&fontString&"<b>""&tabText&""</b>"
	if instr(lcase(fontString), "<font") > 0 then
		htmlString = htmlString & "</font>"""
	elseif instr(lcase(fontString), "<div") > 0 then
		htmlString = htmlString & "</div>"""
	end if
	htmlString = htmlString & vbcrlf
	htmlString = htmlString & "   innerColor = """&cellColorSelected &"""" & vbcrlf
	htmlString = htmlString & "   myHeight = "&cstr(int(spaceHeight) + int(diffHeight)) & vbcrlf
	htmlString = htmlString & "else" & vbcrlf
	htmlString = htmlString & "   myTabText = ""<a href=""&tabLink&"">"&linkString&"<b>""&tabText&""</b>"
	if instr(linkString, "<font") > 0 then
		htmlString = htmlString & "</font>"
	end if
	htmlString = htmlString & "</a>""" &vbcrlf
	htmlString = htmlString & "   innerColor = """&cellColor &"""" & vbcrlf
	htmlString = htmlString & "   myHeight = "&cstr(int(spaceHeight)) & vbcrlf
	htmlString = htmlString &"end if %"&chr(62) & vbcrlf
	
	htmlString = htmlString & bodyString & vbcrlf
	htmlString = htmlString & chr(60) &"% end sub " & vbcrlf 

	returnCellTab = htmlString
end function
'-------------------------------------------------------------------------
function returnValue(moduleID, htmlString)

	dim startString, endString
	
	startString = instr(htmlString, moduleID)
	if startString <= 0 then
		returnValue = ""
		exit function
	end if
	endString = instr(mid(htmlString, startString), ">")
	if endString <= 0 then
		returnValue = ""
		exit function
	end if
	endString = endString + startString - 1
	startString = startString + len(moduleID) + 1
	returnValue = mid(htmlString, startString, endString-startString)
	
end function
'-------------------------------------------------------------------------

'----------------------------------- Modules functions --------------------------------
sub createObjects(useSpecialModule)

	dim htmlString
	dim fs, f, textStream, currentPath
	
	htmlString = chr(60) &"!--#include file=""smallCart.asp""--" &chr(62) &vbcrlf
	htmlString = htmlString & chr(60) &"!--#include file=""search.asp""--" &chr(62) &vbcrlf
	htmlString = htmlString & chr(60) &"!--#include file=""hello.asp""--" &chr(62) &vbcrlf
	htmlString = htmlString & chr(60) &"!--#include file=""date.asp""--" &chr(62) &vbcrlf
	htmlString = htmlString & chr(60) &"!--#include file=""login.asp""--" &chr(62) &vbcrlf
	htmlString = htmlString & chr(60) &"!--#include file=""banner.asp""--" &chr(62) &vbcrlf
	htmlString = htmlString & chr(60) &"!--#include file=""tabShip.asp""--" &chr(62) &vbcrlf
	htmlString = htmlString & chr(60) &"!--#include file=""categories.asp""--" &chr(62) &vbcrlf
	
	if useSpecialModule then
		htmlString = htmlString & vbcrlf
		htmlString = htmlString & chr(60) &"!--#include file=""productsSpecial.asp""--" &chr(62) &vbcrlf
		htmlString = htmlString & chr(60) &"!--#include file=""../subs/browseProdSpecial.asp""--" &chr(62) &vbcrlf
		htmlString = htmlString & chr(60) &"% randomProductsList = returnRandomList() %" &chr(62) &vbcrlf
	end if

	set fs = CreateObject("Scripting.FileSystemObject")
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\objects.asp"
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write htmlString
	textStream.close
	
	set textStream = nothing
	set f = nothing
	set fs = nothing

end sub
'-------------------------------------------------------------------------
sub createSmallCart()

	dim storeRS, sqlString
	dim fs, f, textStream, htmlString
	dim aspString
	dim currentPath

	set fs = CreateObject("Scripting.FileSystemObject")
	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designModuleSmallCart from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designModuleSmallCart")) or storeRS("designModuleSmallCart") = "" then
		set f = fs.GetFile(pathApp()&"Admin\BlankDesign\moduleSmallCart.htm")
		set textStream = f.OpenAsTextStream(1, 0)
		if not textStream.AtEndOfStream then
			htmlString = textStream.readAll
		else
			htmlString = ""
		end if
		textStream.close
	else
		htmlString = storeRS("designModuleSmallCart")
	end if
	storeRS.close

	if htmlString <> "" then
		htmlString = replace(htmlString, "<b>Product</b>", "<b>"&chr(60)&"%= product_CONST %"&chr(62)&"</b>")
		htmlString = replace(htmlString, "<b>Qty</b>", "<b>"&chr(60)&"%= Qty_CONST %"&chr(62)&"</b>")
		htmlString = replace(htmlString, "<b>Total</b>", "<b>"&chr(60)&"%= Total_CONST %"&chr(62)&"</b>")
		' ----------- create asp code -------------------
		aspString = chr(60)   & "% sub smallCart()" & vbcrlf
		aspString = aspString & "dim storeRS" & vbcrlf
		aspString = aspString & "dim totalPriceProducts, quantity, retailPrice, totalPrice" & vbcrlf
		aspString = aspString & "dim stepSale, unitPrice, listAtributes" & vbcrlf
		aspString = aspString & "dim count" & vbcrlf
		aspString = aspString & "sqlString = ""select customerCartID, productID, productName, productCode, retailPriceInCart, totalPriceInCart, quantity, stepSale, listAtributes from storeCustomersCart where storeID = ""&storeID&"" and userID = '""&userID&""'""" & vbcrlf
		aspString = aspString & "set storeRS = Server.CreateObject(""ADODB.Recordset"")" & vbcrlf
		aspString = aspString & "storeRS.open sqlString, storeConn, 1, 1" &vbcrlf
		aspString = aspString & "count = 0" & vbcrlf
		aspString = aspString & "totalPriceProducts = 0 %" &chr(62) & vbcrlf & vbcrlf
		
		htmlString = aspString & htmlString
		
		aspString = chr(60)   & "% do while not storeRS.eof " &vbcrlf
		aspString = aspString & "	quantity = cdbl(storeRS(""quantity""))" &vbcrlf
		aspString = aspString & "	stepSale = cdbl(storeRS(""stepSale""))" &vbcrlf
		aspString = aspString & "	retailPrice = cdbl(storeRS(""retailPriceInCart"")) * stepSale" &vbcrlf
		aspString = aspString & "	totalPrice = cdbl(storeRS(""totalPriceInCart"")) * stepSale" &vbcrlf
		aspString = aspString & "	unitPrice = retailPrice/quantity" &vbcrlf
		aspString = aspString & "	listAtributes = storeRS(""listAtributes"")" &vbcrlf
		aspString = aspString & "	totalPriceProducts = totalPriceProducts + totalPrice" &vbcrlf
		aspString = aspString & "	count = count + 1" &vbcrlf
		aspString = aspString & "	if count mod 2 <> 0 then %" &chr(62) & vbcrlf
		
		htmlString = replace(htmlString, "<!--#SMALL_CART_DO_WHILE#-->", aspString)
		
		aspString = "	"&chr(60)   & "% else %" &chr(62) & vbcrlf
		
		htmlString = replace(htmlString, "<!--#SMALL_CART_IF_COLORS#-->", aspString)

		aspString = "	"&chr(60)   & "% end if " & vbcrlf
		htmlString = replace(htmlString, "<!--#SMALL_CART_END_IF_COLORS#-->", aspString)
		
		aspString = "	if retailPrice <> totalPrice or listAtributes <> """"  then %" &chr(62) & vbcrlf
		htmlString = replace(htmlString, "<!--<tr>", "<tr>")
		htmlString = replace(htmlString, "</tr>-->", "</tr>")
		htmlString = replace(htmlString, "<!--#SMALL_CART_IF_COMPONENTS#-->", aspString)
		
		aspString = "	"&chr(60) & "% end if " & vbcrlf
		aspString = aspString & "	storeRS.movenext" & vbcrlf
		aspString = aspString & "loop" & vbcrlf
		aspString = aspString & "storeRS.close" & vbcrlf
		aspString = aspString & "set storeRS = nothing %" &chr(62) & vbcrlf
		
		htmlString = replace(htmlString, "<!--#SMALL_CART_END_IF_COMPONENTS#-->", aspString)
		htmlString = replace(htmlString, "#SMALL_CART_PRODUCT_1#", chr(60) & "%= storeRS(""productName"") %" &chr(62))
		htmlString = replace(htmlString, "#SMALL_CART_PRODUCT_2#", chr(60) & "%= storeRS(""productName"") %" &chr(62))
		htmlString = replace(htmlString, "#SMALL_CART_QTY_1#", chr(60) & "%= quantity %" &chr(62))
		htmlString = replace(htmlString, "#SMALL_CART_QTY_2#", chr(60) & "%= quantity %" &chr(62))
		htmlString = replace(htmlString, "#SMALL_CART_TOTAL_1#", chr(60) & "%= currencyFormat(formatNumber(retailPrice, 2)) %" &chr(62))
		htmlString = replace(htmlString, "#SMALL_CART_TOTAL_2#", chr(60) & "%= currencyFormat(formatNumber(retailPrice, 2)) %" &chr(62))

		htmlString = replace(htmlString, "#SMALL_CART_SUBTOTAL_TEXT#", ""&chr(60)&"%= Subtotal_CONST %"&chr(62)&"")
		htmlString = replace(htmlString, "#SMALL_CART_SUBTOTAL_VALUE#", chr(60) & "%= currencyFormat(formatNumber(totalPrice, 2)) %" &chr(62))

		htmlString = replace(htmlString, "#SMALL_CART_GRANDTOTAL_TEXT#", ""&chr(60)&"%= Grand_total_CONST %"&chr(62)&"")
		htmlString = replace(htmlString, "#SMALL_CART_GRANDTOTAL_VALUE#", chr(60) & "%= currencyFormat(formatNumber(totalPriceProducts, 2)) %" &chr(62))
		
		htmlString = htmlString & chr(60) & "% end sub %" &chr(62)

		currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\smallCart.asp"
		set f = fs.GetFile(currentPath)
		set textStream = f.OpenAsTextStream(2, 0)
		textStream.write htmlString
		textStream.close
	end if

	set textStream = nothing
	set fs = nothing
	set f = nothing
	set storeRS = nothing

end sub
'--------------------------------------------------------------------------------------
sub createSearch()

	dim storeRS, sqlString
	dim fs, f, textStream, htmlString
	dim aspString
	dim currentPath
	dim tFont, tSize, tColor, tID, tClass
	dim bClass, bImage
	dim lFont, lSize, lColor

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designModuleSearch, designModuleSearchText, designModuleSearchTextBox, designModuleSearchLink, designModuleSearchButton from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designModuleSearch")) or storeRS("designModuleSearch") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleSearch.htm")
	else
		htmlString = storeRS("designModuleSearch")
	end if

	if htmlString <> "" then
		aspString = chr(60) & "% sub search() %" &chr(62) & vbcrlf
		aspString = aspString & "<script language=""JavaScript"">" & vbcrlf
		aspString = aspString & "function goToPage() {" & vbcrlf
		aspString = aspString & "   if (document.forms['searchObject'].keyWords.value=="""") {" & vbcrlf
		aspString = aspString & "      alert ("""&chr(60)&"%= You_must_input_a_search_text_CONST %"&chr(62)&""");" & vbcrlf
		aspString = aspString & "      return;" & vbcrlf
		aspString = aspString & "   }" & vbcrlf
		aspString = aspString & "   document.forms['searchObject'].submit();" & vbcrlf
		aspString = aspString & "}" & vbcrlf
		aspString = aspString & "</script>" & vbcrlf & vbcrlf
		aspString = aspString & "<form method=""post"" name=""searchObject"" action=""browseProductsSearch.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID=5"">" & vbcrlf
		aspString = aspString & htmlString & vbcrlf
		if instr(aspString, "#SEARCH_TEXT#") then
			if isNull(storeRS("designModuleSearchText")) or storeRS("designModuleSearchText") = "" then
				htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleSearchText.htm")
			else
				htmlString = storeRS("designModuleSearchText")
			end if
			if htmlString <> "" then
				call returnFonts(tFont, tSize, tColor, tID, htmlString)
				if tID = "" then
					htmlString = "<font face="""&tFont&"""size="""&tSize&"""color="""&tColor&""">"
				else
					htmlString = "<font id="""&tID&""">"
				end if
				htmlString = htmlString &"<b>"&chr(60)&"%= Search_CONST %"&chr(62)&"</b></font>"
			else
				htmlString = "<b>"&chr(60)&"%= Search_CONST %"&chr(62)&"</b>"
			end if
			aspString = replace(aspString, "#SEARCH_TEXT#", htmlString)
		end if
		if instr(aspString, "#SEARCH_TEXT_BOX#") then
			if isNull(storeRS("designModuleSearchTextBox")) or storeRS("designModuleSearchTextBox") = "" then
				htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleSearchTextBox.htm")
			else
				htmlString = storeRS("designModuleSearchTextBox")
			end if
			if htmlString <> "" then
				tClass = returnClass(htmlString)
				if tClass <> "" then
					tClass = "class="""&tClass&""""
				end if
			end if
			htmlString = "<input type=""text"" name=""keyWords"" "&tClass&">"
			aspString = replace(aspString, "#SEARCH_TEXT_BOX#", htmlString)
		end if
		if instr(aspString, "#SEARCH_BUTTON#") then
			if isNull(storeRS("designModuleSearchButton")) or storeRS("designModuleSearchButton") = "" then
				htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleSearchButton.htm")
			else
				htmlString = storeRS("designModuleSearchButton")
			end if
			if htmlString <> "" then
				call returnButton("#SEARCH_BUTTON#", "#END#", bImage, bClass, htmlString)
				if bImage <> "" then
					htmlString = "<a href=""JavaScript:goToPage();""><img src="""&bImage&""" border=""0""></a>"
				elseif bClass <> "" then
					htmlString = "<input type=""button"" class="""&bClass&""" value="""&chr(60)&"%= Search_CONST %"&chr(62)&""" onClick=""JavaScript:goToPage();"">"
				else
					htmlString = "<a href=""JavaScript:goToPage();"">"&chr(60)&"%= Search_CONST %"&chr(62)&"</a>"
				end if
			end if
			aspString = replace(aspString, "#SEARCH_BUTTON#", htmlString)
		end if
		if instr(aspString, "#SEARCH_LINK_BOX#") then
			if isNull(storeRS("designModuleSearchLink")) or storeRS("designModuleSearchLink") = "" then
				htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleSearchLink.htm")
			else
				htmlString = storeRS("designModuleSearchLink")
			end if
			if htmlString <> "" then
				call returnFonts(lFont, lSize, lColor, "", htmlString)
				if lFont = "" then
					htmlString = "<a href=""search.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID=6"">"&chr(60)&"%= Advanced_search_CONST %"&chr(62)&"</a>"
				else
					htmlString = "<a href=""search.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID=6""><font face="""&lFont&""" size="""&lSize&""" color="""&lColor&""">"&chr(60)&"%= Advanced_search_CONST %"&chr(62)&"</font></a>"
				end if
			end if
			aspString = replace(aspString, "#SEARCH_LINK_BOX#", htmlString)
		end if
		aspString = aspString & vbcrlf
		aspString = aspString & "</form>" & vbcrlf
		aspString = aspString & chr(60) & "% end sub %" &chr(62)

		currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\search.asp"
		set fs = CreateObject("Scripting.FileSystemObject")
		set f = fs.GetFile(currentPath)
		set textStream = f.OpenAsTextStream(2, 0)
		textStream.write aspString
		textStream.close
		set textStream = nothing
		set fs = nothing
		set f = nothing
	end if
	storeRS.close
	set storeRS = nothing

end sub
'--------------------------------------------------------------------------------------
sub createHello()

	dim storeRS, sqlString
	dim fs, f, textStream, htmlString
	dim aspString
	dim currentPath
	dim tFont, tSize, tColor, tID
	
	aspString = chr(60)&"% sub helloUser() " & vbcrlf
	aspString = aspString & "dim storeRS, sqlString, helloString" & vbcrlf
	aspString = aspString & "set storeRS = Server.CreateObject(""ADODB.Recordset"")" & vbcrlf
	aspString = aspString & "sqlString = ""select SCA.firstName, SCA.lastName from storeCustomersAddresses as SCA inner join storeUsers as SU on " &_
							"(SCA.custID = SU.custID and SCA.storeID = SU.storeID) where SU.userID = '""&userID&""' and SU.isLoggedIn <> 0 and SU.storeID=""&storeID" & vbcrlf
	aspString = aspString & "storeRS.open sqlString, storeConn, 1, 1" & vbcrlf
	aspString = aspString & "if storeRS.eof then" & vbcrlf
	aspString = aspString & "    helloString = """"" & vbcrlf
	aspString = aspString & "else" & vbcrlf
	aspString = aspString & "    helloString = storeRS(""firstName"")&"" ""&storeRS(""lastName"")" & vbcrlf
	aspString = aspString & "end if" & vbcrlf
	aspString = aspString & "storeRS.close" & vbcrlf
	aspString = aspString & "set storeRS = nothing "& vbcrlf
	aspString = aspString & "if helloString <> """" then %"& chr(62) & vbcrlf

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designModuleHello from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designModuleHello")) or storeRS("designModuleHello") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleHello.htm")
	else
		htmlString = storeRS("designModuleHello")
	end if
	storeRS.close
	if htmlString <> "" then
		call returnFonts(tFont, tSize, tColor, tID, htmlString)
		if tID = "" then
			htmlString = "<font face="""&tFont&"""size="""&tSize&"""color="""&tColor&""">"
		else
			htmlString = "<font id="""&tID&""">"
		end if
		htmlString = htmlString &"<b>"& chr(60) &"%= Hello_CONST & helloString %" & chr(62) &"</b></font>"
	else
		htmlString = "<b>"& chr(60) &"%= Hello_CONST & helloString %" & chr(62) & "</b>"
	end if
	aspString = aspString & "    "&htmlString & vbcrlf
	aspString = aspString & chr(60) & "% end if " & vbcrlf
	aspString = aspString & "end sub %" &chr(62)

	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\hello.asp"
	set fs = CreateObject("Scripting.FileSystemObject")
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write aspString
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing
	set storeRS = nothing

end sub
'--------------------------------------------------------------------------------------
sub createDateTime()

	dim storeRS, sqlString
	dim fs, f, textStream, htmlString
	dim aspString
	dim currentPath
	dim tFont, tSize, tColor, tID

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designModuleDate from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designModuleDate")) or storeRS("designModuleDate") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleDate.htm")
	else
		htmlString = storeRS("designModuleDate")
	end if
	storeRS.close

	if htmlString <> "" then
		call returnFonts(tFont, tSize, tColor, tID, htmlString)
		if tID = "" then
			htmlString = "<font face="""&tFont&"""size="""&tSize&"""color="""&tColor&""">"
		else
			htmlString = "<font id="""&tID&""">"
		end if
		htmlString = htmlString &"<b>" & chr(60) & "%= FormatDateTime(now(), vblongDate) %" & chr(62) &"</b></font>"
	else
		htmlString = "<b>" &chr(60) & "%= FormatDateTime(now(), vblongDate) %" & chr(62) & "</b>"
	end if
	
	aspString = chr(60)& "% sub displayDate() %" & chr(62) & vbcrlf
	aspString = aspString & htmlString & vbcrlf
	aspString = aspString & chr(60)& "% end sub %" &chr(62)

	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\date.asp"
	set fs = CreateObject("Scripting.FileSystemObject")
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write aspString
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing
	set storeRS = nothing

end sub
'--------------------------------------------------------------------------------------
sub createLogin()

	dim storeRS, sqlString
	dim fs, f, textStream, fontString, textBox, buttonString
	dim aspString
	dim currentPath
	dim bClass, bImage
	dim tFont, tSize, tColor, tID

	aspString = chr(60)&"% sub displayLogin() "& vbcrlf
	aspString = aspString & "if not isLoggedIn or request.cookies(""ssUserLoggedIn"") <> ""true"" then %" &chr(62) &vbcrlf
	aspString = aspString & "<script language=""JavaScript"">" & vbcrlf
	aspString = aspString & "function goLogin() {" & vbcrlf
	aspString = aspString & "   if (document.forms['loginObj'].userName.value == """") {" & vbcrlf
	aspString = aspString & "      alert("""&chr(60)&"%= Please_enter_User_Name_CONST %"&chr(62)&""");" & vbcrlf
	aspString = aspString & "      return;" & vbcrlf
	aspString = aspString & "   }" & vbcrlf
	aspString = aspString & "   if (document.forms['loginObj'].userPassword.value == """") {" & vbcrlf
	aspString = aspString & "      alert("""&chr(60)&"%= Please_enter_the_password_CONST %"&chr(62)&""");" & vbcrlf
	aspString = aspString & "      return;" & vbcrlf
	aspString = aspString & "   }" & vbcrlf
	aspString = aspString & "   document.forms['loginObj'].submit();" & vbcrlf
	aspString = aspString & "}" & vbcrlf
	aspString = aspString & "</script>" & vbcrlf
	
	aspString = aspString & "<form method=""post"" name=""loginObj"" action=""Body/loginAction.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID="&chr(60)&"%= viewID %"&chr(62)&""">" &vbcrlf
	aspString = aspString & "<input type=""hidden"" name=""caller"" value=""login"">" & vbcrlf

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designModuleLoginText, designModuleLoginTextBox, designModuleLoginButton from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designModuleLoginText")) or storeRS("designModuleLoginText") = "" then
		fontString = returnHTML(pathApp()&"Admin\BlankDesign\moduleLoginText.htm")
	else
		fontString = storeRS("designModuleLoginText")
	end if
	if fontString <> "" then
		call returnFonts(tFont, tSize, tColor, tID, fontString)
		if tID = "" then
			fontString = "<font face="""&tFont&""" size="""&tSize&""" color="""&tColor&""">"
		else
			fontString = "<font id="""&tID&""">"
		end if
	end if
	if isNull(storeRS("designModuleLoginTextBox")) or storeRS("designModuleLoginTextBox") = "" then
		textBox = returnHTML(pathApp()&"Admin\BlankDesign\moduleLoginTextBox.htm")
	else
		textBox = storeRS("designModuleLoginTextBox")
	end if
	if textBox <> "" then
		textBox = returnClass(textBox)
		if textBox <> "" then
			textBox = "class="""&textBox&""""
		end if
	end if
	if isNull(storeRS("designModuleLoginButton")) or storeRS("designModuleLoginButton") = "" then
		buttonString = returnHTML(pathApp()&"Admin\BlankDesign\moduleLoginButton.htm")
	else
		buttonString = storeRS("designModuleLoginButton")
	end if
	if buttonString <> "" then
		call returnButton("#LOGIN_BUTTON#", "#END#", bImage, bClass, buttonString)
		if bImage <> "" then
			buttonString = "<a href=""JavaScript:goLogin();""><img src="""&bImage&""" border=""0""></a>"
		elseif bClass <> "" then
			buttonString = "<input type=""button"" class="""&bClass&""" value="""&chr(60)&"%= Log_in_CONST %"&chr(62)&""" onClick=""JavaScript:goLogin();"">"
		else
			buttonString = "<a href=""JavaScript:goLogin();"">"&chr(60)&"%= Log_in_CONST %"&chr(62)&"</a>"
		end if
	end if

	aspString = aspString & "<table border=""0"" cellspacing=""1"" cellpadding=""1"">" & vbcrlf
	aspString = aspString & "<tr>" & vbcrlf
	aspString = aspString & "<td nowrap>"
	if fontString <> "" then
		aspString = aspString & fontString & ""&chr(60)&"%= User_name_CONST %"&chr(62)&"</font></td>" & vbcrlf
	else
		aspString = aspString & ""&chr(60)&"%= User_name_CONST %"&chr(62)&"</td>" & vbcrlf
	end if
	aspString = aspString & "<td nowrap><input type=""text"" size=""10"" name=""userName""  "&textBox&"></td>" & vbcrlf
	aspString = aspString & "</tr>" & vbcrlf
	aspString = aspString & "<tr>" & vbcrlf
	aspString = aspString & "<td nowrap>"
	if fontString <> "" then
		aspString = aspString & fontString & ""&chr(60)&"%= Password_CONST %"&chr(62)&"</font></td>" & vbcrlf
	else
		aspString = aspString & ""&chr(60)&"%= Password_CONST %"&chr(62)&"</td>" & vbcrlf
	end if
	aspString = aspString & "<td nowrap><input type=""password"" size=""10"" name=""userPassword""  "&textBox&"></td>" & vbcrlf
	aspString = aspString & "</tr>" & vbcrlf
	aspString = aspString & "<tr>" & vbcrlf
	aspString = aspString & "<td colspan=""2"">" & buttonString & "</td>" & vbcrlf
	aspString = aspString & "</tr>" & vbcrlf
	aspString = aspString & "</table>" & vbcrlf
	aspString = aspString & "</form>" & vbcrlf
	aspString = aspString & chr(60)& "% end if " & vbcrlf
	aspString = aspString & "end sub %" &chr(62)

	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\login.asp"
	set fs = CreateObject("Scripting.FileSystemObject")
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write aspString
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing

	storeRS.close
	set storeRS = nothing

end sub
'--------------------------------------------------------------------------------------
sub createCategories()

	dim storeRS, sqlString
	dim fs, f, textStream, htmlString
	dim aspString
	dim currentPath
	dim lFont, lSize, lColor, lID

	'------------------------------ displayCategories function ------------------------------
	aspString = chr(60)&"% sub displayCategories() " & vbcrlf
	aspString = aspString & "dim storeRS, sqlString" & vbcrlf
	aspString = aspString & "dim parentCategory" & vbcrlf
	aspString = aspString & "set storeRS = Server.CreateObject(""ADODB.Recordset"")" & vbcrlf
	aspString = aspString & "sqlString = ""select categoryID from storeCategories where parentCategory = 0 and storeID = ""&storeID" & vbcrlf
	aspString = aspString & "storeRS.open sqlString, storeConn, 1, 1" & vbcrlf
	aspString = aspString & "if storeRS.eof then" & vbcrlf
	aspString = aspString & "    storeRS.close" & vbcrlf
	aspString = aspString & "    set storeRS = nothing" & vbcrlf
	aspString = aspString & "    exit sub" & vbcrlf
	aspString = aspString & "end if" & vbcrlf
	aspString = aspString & "parentCategory = storeRS(""categoryID"")" & vbcrlf
	aspString = aspString & "storeRS.close" & vbcrlf
	aspString = aspString & "sqlString = ""select categoryID, categoryName from storeCategories where storeID = ""&storeID&"" and parentCategory = ""&parentCategory&"" order by positionInStore""" & vbcrlf
	aspString = aspString & "storeRS.open sqlString, storeConn, 1, 1" & vbcrlf
	aspString = aspString & "if not storeRS.eof then %" & chr(62) & vbcrlf
	aspString = aspString & "    <table border=""0"">" & vbcrlf
	aspString = aspString & "    " & chr(60) & "% do while not storeRS.eof" & vbcrlf
	aspString = aspString & "        if not existSubCategories(storeRS(""categoryID"")) then %" & chr(62) & vbcrlf
	aspString = aspString & "            <tr>" & vbcrlf

	set storeRS = Server.CreateObject("ADODB.Recordset")
	sqlString = "select designModuleCategory from storeDesignBasic where storeID = "&storeID
	storeRS.open sqlString, storeConn, 1, 1
	if isNull(storeRS("designModuleCategory")) or storeRS("designModuleCategory") = "" then
		htmlString = returnHTML(pathApp()&"Admin\BlankDesign\moduleCategory.htm")
	else
		htmlString = storeRS("designModuleCategory")
	end if
	if htmlString <> "" then
		call returnFonts(lFont, lSize, lColor, "", htmlString)
	end if
	
	if lFont = "" then
		aspString = aspString & "                <td nowrap><a href=""browseProducts.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID=3&categoryID="&chr(60)&"%= storeRS(""categoryID"") %"&chr(62)&"""><b>"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</b></a></td>" & vbcrlf
	else
		aspString = aspString & "                <td nowrap><a href=""browseProducts.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID=3&categoryID="&chr(60)&"%= storeRS(""categoryID"") %"&chr(62)&"""><font face="""&lFont&""" size="""&lSize&""" color="""&lColor&"""><b>"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</b></font></a></td>" & vbcrlf
	end if
	aspString = aspString & "            </tr>" & vbcrlf
	aspString = aspString & "        " & chr(60)&"% else %" & chr(62) & vbcrlf
	aspString = aspString & "            <tr>" & vbcrlf
	if lFont = "" then
		aspString = aspString & "                <td nowrap><font face=""Verdana"" size=""2""><b>"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</b></font></td>" & vbcrlf
	else
		aspString = aspString & "                <td nowrap><font face="""&lFont&""" size="""&lSize&""" color="""&lColor&"""><b>"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</b></font></a></td>" & vbcrlf
	end if
	aspString = aspString & "            </tr>" & vbcrlf
	aspString = aspString & "        " & chr(60)&"% call displaySubcategories(storeRS(""categoryID""), 2)" & vbcrlf
	aspString = aspString & "        end if" & vbcrlf
	aspString = aspString & "        storeRS.movenext" & vbcrlf
	aspString = aspString & "    loop" & vbcrlf
	aspString = aspString & "    storeRS.close %"& chr(62) & vbcrlf
	aspString = aspString & "    </table>" & vbcrlf
	aspString = aspString & chr(60) & "% end if" & vbcrlf
	aspString = aspString & "set storeRS = nothing" & vbcrlf
	aspString = aspString & "end sub" & vbcrlf & vbcrlf

	'------------------------------ displaySubcategories function ----------------------------
	aspString = aspString & "sub displaySubcategories(masterCategory, nSpace) " & vbcrlf
	aspString = aspString & "dim storeRS, sqlString" & vbcrlf
	aspString = aspString & "dim nSpaceStr, count" & vbcrlf
	aspString = aspString & "nSpaceStr=""""" & vbcrlf
	aspString = aspString & "for count = 1 to nSpace" & vbcrlf
	aspString = aspString & "	nSpaceStr = nSpaceStr & ""&nbsp;""" & vbcrlf
	aspString = aspString & "next" & vbcrlf
	aspString = aspString & "set storeRS = Server.CreateObject(""ADODB.Recordset"")" & vbcrlf
	aspString = aspString & "sqlString = ""select categoryID, categoryName from storeCategories where parentCategory = ""&masterCategory&"" and storeID = ""&storeID" & vbcrlf
	aspString = aspString & "storeRS.open sqlString, storeConn, 1, 1" & vbcrlf
	aspString = aspString & "do while not storeRS.eof" & vbcrlf
	aspString = aspString & "	if not existSubCategories(storeRS(""categoryID"")) then %" & chr(62) & vbcrlf
	aspString = aspString & "		<tr>" & vbcrlf
	if lFont = "" then
		aspString = aspString & "		<td nowrap>"&chr(60)&"%= nSpaceStr %"&chr(62)&"<a href=""browseProducts.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID=3&categoryID="&chr(60)&"%= storeRS(""categoryID"") %"&chr(62)&""">"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</a></td>" & vbcrlf
	else
		aspString = aspString & "		<td nowrap>"&chr(60)&"%= nSpaceStr %"&chr(62)&"<a href=""browseProducts.asp?"&chr(60)&"%= urlString %"&chr(62)&"viewID=3&categoryID="&chr(60)&"%= storeRS(""categoryID"") %"&chr(62)&"""><font face="""&lFont&""" size="""&lSize&""" color="""&lColor&""">"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</font></a></td>" & vbcrlf
	end if
	aspString = aspString & "		</tr>" & vbcrlf
	aspString = aspString & "	" & chr(60)&"% else %" & chr(62) & vbcrlf
	aspString = aspString & "		<tr>" & vbcrlf
	if lFont = "" then
		aspString = aspString & "		<td nowrap><font face=""Verdana"" size=""2""><b>"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</b></font></td>" & vbcrlf
	else
		aspString = aspString & "		<td nowrap><font face="""&lFont&""" size="""&lSize&""" color="""&lColor&"""><b>"&chr(60)&"%= storeRS(""categoryName"") %"&chr(62)&"</b></font></a></td>" & vbcrlf
	end if
	aspString = aspString & "		</tr>" & vbcrlf
	aspString = aspString & "		"&chr(60) &"% call displaySubcategories(storeRS(""categoryID""), nSpace + 2)" & vbcrlf
	aspString = aspString & "	end if" & vbcrlf
    aspString = aspString & "	storeRS.movenext" & vbcrlf
    aspString = aspString & "loop" & vbcrlf
    aspString = aspString & "storeRS.close" & vbcrlf
	aspString = aspString & "set storeRS = nothing" & vbcrlf
	aspString = aspString & "end sub %" & chr(62) & vbcrlf
	
	currentPath = pathApp()&"Carts\"&storeVirtualName&"\Objects\categories.asp"
	set fs = CreateObject("Scripting.FileSystemObject")
	set f = fs.GetFile(currentPath)
	set textStream = f.OpenAsTextStream(2, 0)
	textStream.write aspString
	textStream.close
	set textStream = nothing
	set fs = nothing
	set f = nothing
	
	storeRS.close
	set storeRS = nothing

end sub
'--------------------------------------------------------------------------------------
function replaceSpecialModule(htmlString)
	dim startString, endString, lenString, myString, myNumber
	dim resultString

	myString = htmlString
	resultString = htmlString
	lenString = len("#SPECIAL_PRODUCT")
	startString = instr(myString, "#SPECIAL_PRODUCT")
	do while startString > 0
		endString = instr(mid(myString, startString), ")#")
		if endString > 0 then
			endString = endString + startString + 1
			myNumber = mid(myString, startString + lenString, endString - startString - lenString - 1)
			myNumber = replace(myNumber, "(", "")
			myNumber = replace(myNumber, ")", "")
			if checkIfNumber(myNumber) then
				resultString = replace(resultString, "#SPECIAL_PRODUCT("&myNumber&")#", chr(60)&"% call displayProductSpecial("&myNumber&") %"&chr(62))
			end if
		end if
		myString = mid(myString, startString + lenString)
		startString = instr(myString, "#SPECIAL_PRODUCT")
	loop
	replaceSpecialModule = resultString
	
end function
'--------------------------------------------------------------------------------------
function testSpecialModule(htmlString)
	dim startString, endString, lenString, myString, myNumber
	dim result
	
	result = false
	if instr(htmlString, "#SPECIAL_RANDOM_PRODUCT#") > 0 then
		result = true
	else
		myString = htmlString
		lenString = len("#SPECIAL_PRODUCT")
		startString = instr(myString, "#SPECIAL_PRODUCT")
		do while startString > 0
			endString = instr(mid(myString, startString), ")#")
			if endString > 0 then
				endString = endString + startString + 1
				myNumber = mid(myString, startString + lenString, endString - startString - lenString - 1)
				myNumber = replace(myNumber, "(", "")
				myNumber = replace(myNumber, ")", "")
				if checkIfNumber(myNumber) then
					result = true
					exit do
				end if
			end if
			myString = mid(myString, startString + lenString)
			startString = instr(myString, "#SPECIAL_PRODUCT")
		loop
	end if
	testSpecialModule = result

end function
'--------------------------------------------------------------------------------------
%>

